package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmBom对象", description="")
public class DmBom implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    private String dcch;

    @ApiModelProperty(value = "目标船号")
    private String mbch;

    @ApiModelProperty(value = "数据船号")
    private String sjch;

    @ApiModelProperty(value = "批量")
    private String pl;

    @ApiModelProperty(value = "分段")
    private String fd;

    @ApiModelProperty(value = "需求地点")
    private String xqdd;

    @ApiModelProperty(value = "抛丸")
    private String pw;

    @ApiModelProperty(value = "领取类别")
    private String lqlb;

    @ApiModelProperty(value = "跨位")
    private String kw;

    @ApiModelProperty(value = "设备编号")
    private String sbbh;

    @ApiModelProperty(value = "设备类型")
    private String sclx;

    @ApiModelProperty(value = "组立")
    private String zl;

    @ApiModelProperty(value = "物品材质")
    private String wpcz;

    @ApiModelProperty(value = "物品规格")
    private String wpgg;

    @ApiModelProperty(value = "板厚")
    private BigDecimal bh;

    @ApiModelProperty(value = "版长")
    private BigDecimal bc;

    @ApiModelProperty(value = "油漆用量")
    private Double yqyl;

    @ApiModelProperty(value = "切割长度")
    private BigDecimal qgcd;
    @ApiModelProperty(value = "划线长度")
    private BigDecimal hxcd;

    @ApiModelProperty(value = "图纸编号")
    private String tzbh;

    @ApiModelProperty(value = "套料数量")
    private BigDecimal tlsl;

    @ApiModelProperty(value = "坡口类型")
    private String pklx;

    @ApiModelProperty(value = "曲标识")
    private String qbs;

    @ApiModelProperty(value = "坡口長度")
    private String pkbs;

    @ApiModelProperty(value = "坡口标识")
    private Double pkcd;

    @ApiModelProperty(value = "打磨标识")
    private String dmbs;

    @ApiModelProperty(value = "打磨长度")
    private Double dmcd;

    @ApiModelProperty(value = "装配顺序")
    private Integer zpsx;

    @ApiModelProperty(value = "零件编号")
    private String ljbh;

    @ApiModelProperty(value = "零件数量")
    private BigDecimal ljsl;

    @ApiModelProperty(value = "零件属性")
    private String ljsx;

    @ApiModelProperty(value = "单件面积")
    private Double djmj;

    @ApiModelProperty(value = "零件单重")
    private Double ljdz;

    @ApiModelProperty(value = "备料")
    private Double blgs;

    @ApiModelProperty(value = "抛丸")
    private Double pwgs;

    @ApiModelProperty(value = "理料")
    private Double llgs;

    @ApiModelProperty(value = "划线")
    private Double hxgs;

    @ApiModelProperty(value = "切割")
    private Double qggs;

    @ApiModelProperty(value = "坡口")
    private Double pkgs;

    @ApiModelProperty(value = "曲")
    private Double qgs;

    @ApiModelProperty(value = "打磨")
    private Double dmgs;

    @ApiModelProperty(value = "装配")
    private Double zpgs;

    @ApiModelProperty(value = "反馈备料")
    private Double fkblgs;

    @ApiModelProperty(value = "抛丸")
    private Double fkpwgs;

    @ApiModelProperty(value = "理料")
    private Double fkllgs;

    @ApiModelProperty(value = "划线")
    private Double fkhxgs;

    @ApiModelProperty(value = "切割")
    private Double fkqggs;

    @ApiModelProperty(value = "坡口")
    private Double fkpkgs;

    @ApiModelProperty(value = "曲")
    private Double fkqgs;

    @ApiModelProperty(value = "打磨")
    private Double fkdmgs;

    @ApiModelProperty(value = "装配")
    private Double fkzpgs;

    private Integer pid;

    private String type;


    private Integer id;

    private String  fds;

    private String lqbs;

    private String tjbs;

    private String zt;

    private Integer cs;
    @TableId(value = "idd", type = IdType.ASSIGN_UUID)
    private String  idd;


}
