package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmSygdMx对象", description="")
public class DmSygdMx implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "产品")
    private String dcCh1;

    @ApiModelProperty(value = "目标船只")
    private String dcCh2;

    @ApiModelProperty(value = "本船只")
    private String dcCh3;

    @ApiModelProperty(value = "批量")
    private String dcPl;

    @ApiModelProperty(value = "分段")
    private String dcFd;

    @ApiModelProperty(value = "类型")
    @TableField("LQLB")
    private String lqlb;

    @ApiModelProperty(value = "板数")
    private Double bs;

    @ApiModelProperty(value = "套料图号")
    private String tzbh;

    @ApiModelProperty(value = "集团计划期")
    private String jtjhq;

    @ApiModelProperty(value = "分段需求期")
    private String fdxqq;

    @ApiModelProperty(value = "规格")
    private String wpgg;

    @ApiModelProperty(value = "材质")
    private String wpxh;

    @ApiModelProperty(value = "到货数量")
    private Double dhsl;

    @ApiModelProperty(value = "在途数量")
    private Double ztsl;

    @ApiModelProperty(value = "生产下发期")
    private String scxfq;

    @ApiModelProperty(value = "长度（毫米）")
    private Double cd;

    @ApiModelProperty(value = "面积（平方米）")
    private Double mj;

    @ApiModelProperty(value = "抛丸计划完工")
    private String jhwgPw;

    @ApiModelProperty(value = "施工单位")
    @TableField("ZZCJ")
    private String zzcj;

    @ApiModelProperty(value = "理料")
    private String llrq;

    @ApiModelProperty(value = "划线长度(米)")
    private Double hxcd;

    @ApiModelProperty(value = "切割长度（米）")
    private Double qgcd;

    @ApiModelProperty(value = "板厚（毫米）")
    private Double bh;

    @ApiModelProperty(value = "曲标识")
    private String qbs;

    @ApiModelProperty(value = "坡口标识")
    private String pkbs;

    @ApiModelProperty(value = "打磨标识")
    private String dmbs;

    @ApiModelProperty(value = "一垮龙门板数")
    private Double lm1k;

    @ApiModelProperty(value = "一垮龙门完工")
    private String wg1klm;

    @ApiModelProperty(value = "一垮数控板数")
    private Double lksk;

    @ApiModelProperty(value = "一垮数控完工")
    private String wgLksk;

    @ApiModelProperty(value = "坡口长度")
    private Double pkcd;

    @ApiModelProperty(value = "坡口计划完工")
    private String jhwgPk;

    @ApiModelProperty(value = "二垮数控板数")
    private Double lm2k;

    @ApiModelProperty(value = "二垮数控完工")
    private String wg2klm;

    @ApiModelProperty(value = "坡口长度")
    private Double pkcd2;

    @ApiModelProperty(value = "坡口计划完工")
    private String jhwgPk2;

    @ApiModelProperty(value = "三垮数控板数")
    private Double lm3k;

    @ApiModelProperty(value = "三垮数控完工")
    private String wg3klm;

    @ApiModelProperty(value = "坡口长度")
    private Double pkcd3;

    @ApiModelProperty(value = "坡口计划完工")
    private String jhwgPk3;

    @ApiModelProperty(value = "三垮平铁板数")
    private Double pt3k;

    @ApiModelProperty(value = "三垮平铁完工")
    private String wg3kpt;

    @ApiModelProperty(value = "零件面积")
    private Double ljmj;

    @ApiModelProperty(value = "零件数量")
    private Double ljsl;

    @ApiModelProperty(value = "曲平铁转结束")
    private String qptzjs;

    @ApiModelProperty(value = "曲平铁结束")
    private String qptjs;

    @ApiModelProperty(value = "曲外板结束")
    private String qwbjs;

    @ApiModelProperty(value = "组立")
    private String zl;

    @ApiModelProperty(value = "数控   板数")
    private Double skbs3;

    @ApiModelProperty(value = "数控切割开始")
    private String skks3;

    @ApiModelProperty(value = "坡口长度")
    private Double pkcd4;

    @ApiModelProperty(value = "坡口切割结束")
    private String pkjs4;

    @ApiModelProperty(value = "面板挤边")
    private String mbjb;

    @ApiModelProperty(value = "七垮型材米数")
    private Double xcms;

    @ApiModelProperty(value = "型材面板")
    private String xcmb;

    @ApiModelProperty(value = "分段需求")
    private String fdxq;

    @ApiModelProperty(value = "光电  结束")
    private String gdjs;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "状态")
    private String zt;

    private String parentId;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
