package com.dsic.gj_erp.service.jhgk.impl;


import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dsic.gj_erp.bean.jhgk.DmTzjh;
import com.dsic.gj_erp.mapper.jhgk.DmTzjhMapper;
import com.dsic.gj_erp.service.jhgk.DmTzjhService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Service
public class DmTzjhServiceImpl extends ServiceImpl<DmTzjhMapper, DmTzjh> implements DmTzjhService {

    @Resource
    DmTzjhMapper dmTzjhMapper;
//    @Resource
//    DmTzjhRepository dmTzjhRepository;

    @Override
    public List<DmTzjh> getList(JSONObject json) {
        QueryWrapper<DmTzjh> queryWrapper=new QueryWrapper<>();
        if(StringUtils.isNotEmpty(json.getString("dcCh"))){
            queryWrapper.eq("DC_CH",json.getString("dcCh"));
        }
        if(StringUtils.isNotEmpty(json.getString("Zt"))){
            queryWrapper.eq("zt",json.getString("Zt"));
        }
        List<DmTzjh> dmTzjhs=dmTzjhMapper.selectList(queryWrapper);
        return dmTzjhs;
    }

    @Override
    public void sh(List<DmTzjh> dmTzjhs) {
        dmTzjhs.forEach(dmTzjh -> {
            dmTzjh.setZt("1");
        });
//        dmTzjhRepository.saveAll(dmTzjhs);
        updateBatchById(dmTzjhs);
    }
}
